#!ruby -Ks
# -*- mode: ruby; encoding: sjis -*-
# Last updated: <2013/09/22 04:14:00 +0900>
#
# Tmxt@Cǂݍŉ͂Ă݂Tv
#
# TmxCugp̂ŁAȉ̑삪KvB
# gem install tmx

require 'tmx'

tmx = Tmx.load("./assets/maps/mylevel1.tmx")

# cTCY擾
puts "map size : #{tmx.width} x #{tmx.height}"

# ^CcTCY擾
puts "tile size : #{tmx.tilewidth} x #{tmx.tileheight}"

# C[擾
puts "layers length : #{tmx.layers.length}"

# SC[(^CC[)̏ɃANZX
tmx.layers.each do |layer|
  name = layer.name  # C[
  w = layer.width    # C[TCY
  h = layer.height
  ltype = layer.type # C[
  data = layer.data # C[̃}bve[u
  puts "name = #{name} , #{w} x #{h} , type : #{ltype} , Data length : #{data.length}"
end

# IuWFNgC[̏ɃANZX
tmx.object_groups.each do |objg|
  puts "object layer name : #{objg.name}"
  objg.objects.each do |o|
    name = o.name
    x = o.x
    y = o.y
    puts "#{name} , (#{x},#{y})"
  end
end
